[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TSelectEditorEvent

Specifies an event handler signalled to get an editor control for the specified cell.

## Declaration

Source position: grids.pas line 365

`type TSelectEditorEvent = procedure(`
`Sender: TObject;`
`aCol: Integer;`
`aRow: Integer;`
`var Editor: TWinControl`
`) of object;`

## Arguments

`Sender` |  | Control generating the event notification.
`aCol` |  | Column number for the cell editor.
`aRow` |  | Row number for the cell editor.
`Editor` |  | Editor control to use for the specified cell.

## Description

TSelectEditorEvent specifies an event handler signalled to get an editor control for the cell at the coordinates in ACol and ARow.

Editor is the TWinControl or descendent class instance to use as the cell editor for the given cell.

TSelectEditorEvent is the type used to implement the OnSelectEditor in TCustomGrid. Applications must implement an object procedure using the event signature to respond to the event notification.

## See also

TCustomGrid.OnSelectEditor |  | Event handler signalled to select an Editor control for the current grid cell.